<template>
    <view>
		<u-popup v-model="is_comment" mode="bottom" border-radius="10" height="700rpx">
			<view class="top">
				<text>评论</text>
				<u-icon name="arrow-down" color="#333" size="28" @click="close"></u-icon>
			</view>
			<scroll-view class="scroll-box" scroll-y="true" >
				<view></view>
			</scroll-view>
			<view class="editing">
				<input type="text" value="" />
				<text>发送</text>
			</view>
		</u-popup>
	</view>
</template>
<script>
export default {
    name: "shopone",
	props: ['comment'],
	data() {
		return {
			is_comment: true
		}
	},
	onReady() {
		this.getComment(); // 获取评论
	},
	watch: {
		comment(newValue,old) {
			console.log(newValue,old);
		},
		deep: true
	},
	methods: {
		getComment() {
			this.$u.post("Specialci/getAllEvalue", {
				goods_id: goods_id,
				page: 1
			}).then(res => {
				console.log(res);
			})
		},
		close() {
			this.is_comment = false;
		}
	}
}
</script>
<style lang="scss" scoped>
	.top {
		position: fixed;
		top: 0;
		width: 100%;
		height: 88rpx;
		padding: 0 20rpx;
		line-height: 88rpx;
		background-color: #ECECEC;
		& > text {
			margin-right: 280rpx;
			color: #333;
			font-size: 30rpx;
			font-weight: 500;
		}
	}
	.scroll-box {
		margin: 88rpx 0 100rpx 0;
		height: 100%;
	}
	.editing {
		position: fixed;
		bottom: 0;
		display: flex;
		align-items: center;
		justify-content: space-between;
		width: 100%;
		height: 90rpx;
		padding: 0 30rpx;
		background-color: #ECECEC;
		& > input {
			width: 80%;
			height: 60rpx;
			padding: 0 20rpx;
			border-radius: 30rpx;
			background-color: #fff;
		}
	}
</style>